Results 1 to 5 of 5

Thread: Cannot Make any installations

  1. #1
    Join Date
    Aug 2012
    Beans
    2

    Cannot Make any installations

    I am reasonably new to Linux Ubuntu. I am using ubuntu 12.04. I am unable to make even small installations
    eg: $ sudo apt-get install tree

    Output ::
    ---------------------------------------------
    Reading package lists...
    Building dependency tree...
    Reading state information...
    tree is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    2 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue [Y/n]? Setting up qmail (1.06-4) ...

    The hostname -f command returned: $1

    Your system needs to have a fully qualified domain name (fqdn) in
    order to install the var-qmail packages.

    Installation aborted.

    dpkg: error processing qmail (--configure):
    subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of qmail-run:
    qmail-run depends on qmail (>= 1.06-2.1); however:
    Package qmail is not configured yet.
    dpkg: error processing qmail-run (--configure):
    dependency problems - leaving unconfigured

    Errors were encountered while processing:
    qmail
    qmail-run

    No apport report written because MaxReports is reached already
    No apport report written because MaxReports is reached already
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    ----------------------------------------------
    I have spent quite a lot of time and am clueless. Please help.

    -

  2. #2
    Join Date
    Mar 2006
    Beans
    8,335

    Re: Cannot Make any installations

    Try with

    Code:
    sudo dpkg --configure -a
    There is no greater religion than a truth.

  3. #3
    Join Date
    Aug 2012
    Beans
    2

    Re: Cannot Make any installations

    Hello, thanks. But I got the same exact result ::

    Setting up qmail (1.06-4) ...

    The hostname -f command returned: $1

    Your system needs to have a fully qualified domain name (fqdn) in
    order to install the var-qmail packages.

    Installation aborted.

    dpkg: error processing qmail (--configure):
    subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of qmail-run:
    qmail-run depends on qmail (>= 1.06-2.1); however:
    Package qmail is not configured yet.
    dpkg: error processing qmail-run (--configure):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    qmail
    qmail-run

  4. #4
    Join Date
    Mar 2012
    Beans
    50

    Re: Cannot Make any installations

    Do you add some new "sources" in update manager recently?

  5. #5
    Join Date
    Jul 2010
    Beans
    Hidden!
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Cannot Make any installations

    Hi sbiyyala,

    edit your /etc/hostname and setup your hostname.

    Verify it with:
    Code:
    hostname -f
    Regards
    Lasall

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •